jQuery(document).ready(function($) {

	$('.edd_license_activate').on('click', function(e){

		e.preventDefault();

		var key = $(this).parents('.form-table').find('#wecr_license').val();
		var activate = $(this).parent('td').find('.edd_license_activate');
		var deactivate = $(this).parent('td').find('.edd_license_deactivate');
		var message = $('.sfn-message');

		var data = {
			action: 'sfn_activate_key',
			key: key,
			security: SFNLicense.sfn_license_nonce
		};

		$.post( SFNLicense.ajaxurl, data, function( response ) {

			if ( response.data.license_data.license === 'valid' && response.data.license_data.success === true ) {
				$(activate).removeClass('invalid').addClass('valid');
				$(deactivate).removeClass('invalid').addClass('valid');
			}

			$(message).empty().append(response.data.message);

		});

	});

	$('.edd_license_deactivate').on('click', function(e){

		e.preventDefault();
		var key = $(this).parents('.form-table').find('#wecr_license').val();
		var activate = $(this).parent('td').find('.edd_license_activate');
		var deactivate = $(this).parent('td').find('.edd_license_deactivate');
		var message = $('.sfn-message');

		var data = {
			action: 'sfn_deactivate_key',
			key: key,
			security: SFNLicense.sfn_license_nonce
		};

		$.post( SFNLicense.ajaxurl, data, function( response ) {

			if ( response.data.license_data.license === 'deactivated' ) {
				$(activate).removeClass('valid').addClass('invalid');
				$(deactivate).removeClass('valid').addClass('invalid');
			}

			$(message).empty().append(response.data.message);

		});


	});
});
